# Install Jobs / Items

***

## 🧰 Items - Install

Pıctures / Images

{% file src="/files/JbUylERpWsQzxyZ79B7W" %}

### Ox Inventory ⇒ How to install items

{% hint style="info" %}
**You can follow this file path ( without weapons items )** ⇒ <mark style="color:yellow;">ox\_inventory/data/items.lua</mark>
{% endhint %}

```lua
["gold_tooth"] = {
	label = "Gold Tooth",
	weight = 1,
	stack = true,
	close = false,
},
["dirty_photo"] = {
	label = "Dity Photo",
	weight = 1,
	stack = true,
	close = false,
},
["chain"] = {
	label = "Chain",
	weight = 1,
	stack = true,
	close = false,
},
["medal"] = {
	label = "Medal",
	weight = 1,
	stack = true,
	close = false,
},
["rusted_tin"] = {
	label = "Rusted Tin",
	weight = 1,
	stack = true,
	close = false,
},
["nail"] = {
	label = "Nail",
	weight = 1,
	stack = true,
	close = false,
},
["ring"] = {
	label = "Ring",
	weight = 1,
	stack = true,
	close = false,
},
["vehicle_tyre"] = {
	label = "Vehicle Tyre",
	weight = 1,
	stack = true,
	close = false,
},
["vehicle_door"] = {
	label = "Vehicle Door",
	weight = 1,
	stack = true,
	close = false,
},
```

***

{% hint style="danger" %}
**You can follow this file path for weapons ( without normal items )** ⇒ <mark style="color:yellow;">ox\_inventory/data/weapons.lua</mark>
{% endhint %}

<pre class="language-lua"><code class="lang-lua"><strong>Weapons = {
</strong><strong>	-- previous weapons
</strong><strong>	['WEAPON_ACIDPACKAGE'] = {
</strong>		label = 'News papaer',
		weight = 2500,
		durability = 0.05,
		ammoname = 'ammo-acid'
	},
<strong>},
</strong></code></pre>

***

### **QBCore / Qbox ⇒** How can you install items

{% hint style="info" %}
**You can follow this file path** ⇒ <mark style="color:yellow;">qb-core/shared/items.lua || qbx\_core/shared/items.lua</mark>
{% endhint %}

```lua
['gold_tooth'] 			         = {['name'] = 'gold_tooth', 					['label'] = 'Gold Tooth', 				['weight'] = 2, 		['type'] = 'item', 		['image'] = 'goldtooth.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = false,   ['combinable'] = nil,   ['description'] = 'Gold Tooth'},
['dirty_photo'] 			 = {['name'] = 'dirty_photo', 					['label'] = 'Dirty Photo', 				['weight'] = 2, 		['type'] = 'item', 		['image'] = 'dirty_photo.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = false,   ['combinable'] = nil,   ['description'] = 'Dirty Photo'},
['chain'] 			 	 = {['name'] = 'chain', 						['label'] = 'Chain', 				['weight'] = 2, 		['type'] = 'item', 		['image'] = 'chain.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = false,   ['combinable'] = nil,   ['description'] = 'Chain'},
['medal'] 			 	 = {['name'] = 'medal', 						['label'] = 'Medal', 				['weight'] = 2, 		['type'] = 'item', 		['image'] = 'medal.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = false,   ['combinable'] = nil,   ['description'] = 'Medal'},
['rusted_tin'] 			         = {['name'] = 'rusted_tin', 					['label'] = 'Rusted Tin', 				['weight'] = 2, 		['type'] = 'item', 		['image'] = 'rusted_tin.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = false,   ['combinable'] = nil,   ['description'] = 'Rusted Tin'},
['nail'] 			 	 = {['name'] = 'nail', 						    ['label'] = 'Nail', 				['weight'] = 2, 		['type'] = 'item', 		['image'] = 'nail.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = false,   ['combinable'] = nil,   ['description'] = 'Nail'},
['ring'] 			 	 = {['name'] = 'ring', 						    ['label'] = 'Ring', 				['weight'] = 2, 		['type'] = 'item', 		['image'] = 'Ring.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = false,   ['combinable'] = nil,   ['description'] = 'Ring'},
['vehicle_tyre'] 			 = {['name'] = 'vehicle_tyre', 				    ['label'] = 'Vehicle Tyre', 				['weight'] = 2, 		['type'] = 'item', 		['image'] = 'vehicle_tyre.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = false,   ['combinable'] = nil,   ['description'] = 'Tyre'},
['vehicle_door'] 			 = {['name'] = 'vehicle_door', 				    ['label'] = 'Vehicle Tyre', 				['weight'] = 2, 		['type'] = 'item', 		['image'] = 'vehicle_door.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = false,   ['combinable'] = nil,   ['description'] = 'Door'},
```

{% hint style="danger" %}
Then go to the specified file path and add this weapon. ⇒ <mark style="color:yellow;">**qb-core/shared/weapons.lua**</mark>
{% endhint %}

```lua
['weapon_acidpackage'] 		 	 = {['name'] = 'weapon_acidpackage', 		 	['label'] = 'News Paper',		    	['weight'] = 1000, 		['type'] = 'weapon', 	['ammotype'] = 'ammo-acid',				['image'] = 'weapon_acidpackage.png',	['unique'] = true, 		['useable'] = true, 	['description'] = 'News paper'},
```

***

## 💼 Jobs - Install

### **QBCore** ⇒ How can you install jobs

{% hint style="info" %}
**You can follow this file path** ⇒ <mark style="color:yellow;">qb-core/shared/jobs.lua || qbx\_core/shared/jobs.lua</mark>
{% endhint %}

```lua
["pizza_delivery"] = {
	label = "Pizza Delivery",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Courier",
			payment = 0,
		},
	}
},
["news_delivery"] = {
	label = "News Delivery",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Courier",
			payment = 0,
		},
	}
},
["mobile_hotdog"] = {
	label = "Mobile Hotdog",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Seller",
			payment = 0,
		},
	}
},
["forklifter"] = {
	label = "Forklifter",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Operator",
			payment = 0,
		},
	}
},
["gardener"] = {
	label = "Gardener",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Bahcivan",
			payment = 0,
		},
	}
},
["trucker"] = {
	label = "Trucker",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Operator",
			payment = 0,
		},
	}
},
["roadhelper"] = {
	label = "Roadhelper",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Operator",
			payment = 0,
		},
	}
},
["bus_driver"] = {
	label = "Bus Driver",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Driver",
			payment = 0,
		},
	}
},
["fire_department"] = {
	label = "Fire Department",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Fireman",
			payment = 0,
		},
	}
},
["hunter"] = {
	label = "Hunter",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Hunter",
			payment = 0,
		},
	}
},
["detectorist"] = {
	label = "Metal Detectorist",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Employee",
			payment = 0,
		},
	}
},
["project_car"] = {
	label = "Project Car",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Engineer",
			payment = 0,
		},
	}
},
["diver"] = {
	label = "Diver",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Employee",
			payment = 0,
		},
	}
},
["farmer"] = {
	label = "Farmer",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Employee",
			payment = 0,
		},
	}
},
["electrician"] = {
	label = "Electrician",
	defaultDuty = true,
	offDutyPay = true,
	grades = {
		[0] = {
			name = "Employee",
			payment = 0,
		},
	}
},
```

***

### ESX ⇒ How can you install jobs

By reading the SQL File below with ‘<mark style="color:yellow;">**phpmyadmin**</mark>’ or ‘<mark style="color:yellow;">**HeidiSQL**</mark>’ , you install the necessary contents of the jobs on your server.

{% file src="/files/uCRhvwDDlAutxggVz40U" %}
Jobs sql file
{% endfile %}

***

{% hint style="success" %}
🥳🥳**Now you have installed the necessary ‘items’ and ‘’jobs‘’ for the jobpack to work on your server**.

🤔 You can learn the development part of the jobs by moving to the next step.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-jobpack/install-jobs-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
